Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.service.impl
Class BaseManagerMockTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          com.gisgraphy.service.impl.BaseManagerMockTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class BaseManagerMockTestCase

extends org.jmock.MockObjectTestCase

Field Summary
`protected org.apache.commons.logging.Log` | `log`
`protected java.util.ResourceBundle` | `rb`

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`BaseManagerMockTestCase()`

Method Summary
`protected java.lang.Object` | `populate(java.lang.Object obj)` Utility method to populate a javabean-style object with values from a Properties file

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newCoreMock, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, newDummy, newDummy, newDummy, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

### rb

    protected java.util.ResourceBundle rb

Constructor Detail

### BaseManagerMockTestCase

    public BaseManagerMockTestCase()

Method Detail

### populate

    protected java.lang.Object populate(java.lang.Object obj)
                                 throws java.lang.Exception

  Utility method to populate a javabean-style object with values from a Properties file

  Parameters:
    `obj` - the model object to populate
  Returns:
    Object populated object
  Throws:
    `java.lang.Exception` - if BeanUtils fails to copy properly

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.